## eog-plugin-engine

eog-plugin-engine

## Synopsis

                        EogPluginInfo;
    gboolean            eog_plugin_engine_init              (void);
    void                eog_plugin_engine_shutdown          (void);
    void                eog_plugin_engine_garbage_collect   (void);
    const GList *       eog_plugin_engine_get_plugins_list  (void);
    gboolean            eog_plugin_engine_activate_plugin   (EogPluginInfo *info);
    gboolean            eog_plugin_engine_deactivate_plugin (EogPluginInfo *info);
    gboolean            eog_plugin_engine_plugin_is_active  (EogPluginInfo *info);
    gboolean            eog_plugin_engine_plugin_is_available
                                                            (EogPluginInfo *info);
    gboolean            eog_plugin_engine_plugin_is_configurable
                                                            (EogPluginInfo *info);
    void                eog_plugin_engine_configure_plugin  (EogPluginInfo *info,
                                                             GtkWindow *parent);
    void                eog_plugin_engine_update_plugins_ui (EogWindow *window,
                                                             gboolean new_window);
    const gchar *       eog_plugin_engine_get_plugin_name   (EogPluginInfo *info);
    const gchar *       eog_plugin_engine_get_plugin_description
                                                            (EogPluginInfo *info);
    const gchar *       eog_plugin_engine_get_plugin_icon_name
                                                            (EogPluginInfo *info);
    const gchar **      eog_plugin_engine_get_plugin_authors
                                                            (EogPluginInfo *info);
    const gchar *       eog_plugin_engine_get_plugin_website
                                                            (EogPluginInfo *info);
    const gchar *       eog_plugin_engine_get_plugin_copyright
                                                            (EogPluginInfo *info);

## Description

## Details

### EogPluginInfo

    typedef struct _EogPluginInfo EogPluginInfo;

### eog_plugin_engine_init ()

    gboolean            eog_plugin_engine_init              (void);

Returns : |

### eog_plugin_engine_shutdown ()

    void                eog_plugin_engine_shutdown          (void);

### eog_plugin_engine_garbage_collect ()

    void                eog_plugin_engine_garbage_collect   (void);

### eog_plugin_engine_get_plugins_list ()

    const GList *       eog_plugin_engine_get_plugins_list  (void);

Returns : |

### eog_plugin_engine_activate_plugin ()

    gboolean            eog_plugin_engine_activate_plugin   (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_deactivate_plugin ()

    gboolean            eog_plugin_engine_deactivate_plugin (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_plugin_is_active ()

    gboolean            eog_plugin_engine_plugin_is_active  (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_plugin_is_available ()

    gboolean            eog_plugin_engine_plugin_is_available
                                                            (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_plugin_is_configurable ()

    gboolean            eog_plugin_engine_plugin_is_configurable
                                                            (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_configure_plugin ()

    void                eog_plugin_engine_configure_plugin  (EogPluginInfo *info,
                                                             GtkWindow *parent);

`info` : |
`parent` : |

### eog_plugin_engine_update_plugins_ui ()

    void                eog_plugin_engine_update_plugins_ui (EogWindow *window,
                                                             gboolean new_window);

`window` : |
`new_window` : |

### eog_plugin_engine_get_plugin_name ()

    const gchar *       eog_plugin_engine_get_plugin_name   (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_get_plugin_description ()

    const gchar *       eog_plugin_engine_get_plugin_description
                                                            (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_get_plugin_icon_name ()

    const gchar *       eog_plugin_engine_get_plugin_icon_name
                                                            (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_get_plugin_authors ()

    const gchar **      eog_plugin_engine_get_plugin_authors
                                                            (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_get_plugin_website ()

    const gchar *       eog_plugin_engine_get_plugin_website
                                                            (EogPluginInfo *info);

`info` : |
Returns : |

### eog_plugin_engine_get_plugin_copyright ()

    const gchar *       eog_plugin_engine_get_plugin_copyright
                                                            (EogPluginInfo *info);

`info` : |
Returns : |